<!DOCTYPE html>
<html lang="en" dir="ltr" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"/>
    <meta name="description" content=""/>
    <meta name="author" content=""/>
    <title>Safety Car</title>
    <link rel="icon" type="image/x-icon" th:href="@{/assets/img/favicon.ico}" href="../static/assets/img/favicon.ico"/>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"
            th:src="@{https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js}"></script>

    <script src="https://use.fontawesome.com/releases/v5.13.0/js/all.js" crossorigin="anonymous"></script>
    <link rel="stylesheet" th:href="@{https://fonts.googleapis.com/css?family=Merriweather+Sans:400,700}"/>
    <link rel="stylesheet" type="text/css"
          th:href="@{https://fonts.googleapis.com/css?family=Merriweather:400,300,300italic,400italic,700,700italic}"/>
    <link rel="stylesheet"
          th:href="@{https://cdnjs.cloudflare.com/ajax/libs/magnific-popup.js/1.1.0/magnific-popup.min.css}"/>
    <link rel="stylesheet" th:href="@{https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css}"/>
    <link rel="stylesheet" th:href="@{/css/my-policies.css}" href="../static/css/my-policies.css"/>
    <link rel="stylesheet" th:href="@{/css/profile-style.css}" href="../static/css/profile-style.css"/>
    <link rel="stylesheet" th:href="@{/css/navigation.css}" href="../static/css/navigation.css">

</head>
<body>
<div th:replace="fragments/navigation-bar.html :: header"></div>


<div class="background">

    <div class="details-container">
        <div class="col-lg-12">
            <ul class="nav nav-tabs" id="myTab" role="tablist">
                <li class="nav-item">
                    <a class="nav-link active" id="home-tab" data-toggle="tab" href="#home" role="tab"
                       aria-controls="home"
                       aria-selected="true">Home</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" id="profile-tab" data-toggle="tab" href="#profile" role="tab"
                       aria-controls="profile"
                       aria-selected="false">Profile</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" id="update-email-tab" data-toggle="tab" href="#update-email" role="tab"
                       aria-controls="update-email"
                       aria-selected="false">Update email</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" id="cars-tab" data-toggle="tab" href="#cars" role="tab"
                       aria-controls="cars"
                       aria-selected="false">Cars</a>
                </li>
            </ul>
            <div class="tab-content" id="myTabContent">
                <div class="tab-pane fade show active" id="home" role="tabpanel" aria-labelledby="home-tab">
                    <div class="col-md-12 col-lg-12 info" th:object="${userEditDTO}">
                        <p>
                            <span th:text="#{user.header.Username}" class="label">Username:</span>
                            <span th:text="*{username}"></span>
                        </p>
                        <p>
                            <span th:text="#{user.header.FirstName}" class="label">First name:</span>
                            <span th:text="*{firstName}"></span>
                        </p>
                        <p>
                            <span th:text="#{user.header.LastName}" class="label">Last name:</span>
                            <span th:text="*{lastName}"></span>
                        </p>
                        <p>
                            <span th:text="#{user.header.BirthDate}" class="label">Birth date:</span>
                            <span th:text="*{birthDate}"></span>
                        </p>
                        <p>
                            <span th:text="#{user.header.Phone}" class="label">Phone:</span>
                            <span th:text="*{phone}"></span>
                        </p>
                        <p>
                            <span th:text="#{user.header.Address}" class="label">Phone:</span>
                            <span th:text="*{fullAddress}"></span>
                        </p>
                        <button th:onclick="'javascript:deleteButton()'">Delete account</button>
                    </div>
                </div>
                <div class="tab-pane fade" id="profile" role="tabpanel" aria-labelledby="profile-tab">
                    <div class="col-md-12 col-lg-12 info">
                        <form th:action="@{/admin/user-details/__${id}__}" th:object="${userEditDTO}" method="post">
                            <div class="row">
                                <div class="form-label-group col-md-6">
                                    <label for="inputUsername1" class="font-weight-bolder">Username</label>
                                    <input type="text" id="inputUsername1" th:field="*{username}"
                                           class="form-control profile-input"
                                           placeholder="j.hopkins@gmail.com" readonly="readonly"/>
                                    <label class="error" th:errors="*{username}"></label>
                                </div>

                                <div class="form-label-group col-md-6">
                                    <label for="inputBirthDate" class="font-weight-bolder">Birth date</label>
                                    <input th:field="*{birthDate}" type="date" id="inputBirthDate"
                                           class="form-control profile-input"/>
                                    <label class="error" th:errors="*{birthDate}"></label>
                                    <script>
                                        var today = new Date();
                                        var dd = today.getDate();
                                        var mm = today.getMonth() + 1;
                                        var yyyy = today.getFullYear() - 18;
                                        if (dd < 10) {
                                            dd = '0' + dd
                                        }
                                        if (mm < 10) {
                                            mm = '0' + mm
                                        }

                                        today = yyyy + '-' + mm + '-' + dd;
                                        document.getElementById("birth-dropdown").setAttribute("max", today);
                                    </script>
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-label-group col-md-6">
                                    <label for="inputFirstName" class="font-weight-bolder">First name</label>
                                    <input type="text" id="inputFirstName" th:field="*{firstName}"
                                           class="form-control profile-input"
                                           placeholder="First name"/>
                                    <label class="error" th:errors="*{firstName}"></label>
                                </div>
                                <div class="form-label-group col-md-6">
                                    <label for="inputLastName" class="font-weight-bolder">Last name</label>
                                    <input type="text" id="inputLastName" th:field="*{lastName}"
                                           class="form-control profile-input"
                                           placeholder="Last name"/>
                                    <label class="error" th:errors="*{lastName}"></label>
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-label-group col-md-6">
                                    <label for="inputPhone" class="font-weight-bolder">Phone</label>
                                    <input type="text" id="inputPhone" th:field="*{phone}"
                                           class="form-control profile-input"
                                           placeholder="0886 05 2173"/>
                                    <label class="error" th:errors="*{phone}"></label>
                                </div>

                                <div class="form-label-group col-md-6">
                                    <label for="inputAddress" class="font-weight-bolder">Address</label>
                                    <input type="text" id="inputAddress" th:field="*{address}"
                                           class="form-control profile-input"
                                           placeholder="Some nice Str."/>
                                    <label class="error" th:errors="*{address}"></label>
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-label-group col-md-6">
                                    <label for="country" class="font-weight-bolder">Country</label>
                                    <select th:field="*{countryId}" class="form-control profile-input" id="country">
                                        <option value="0">Country</option>
                                        <option th:each="country : ${countries}" th:value="${country.id}"
                                                th:text="${country.name}">
                                        </option>
                                    </select>
                                </div>
                                <div class="form-label-group col-md-6">
                                    <label for="district" class="font-weight-bolder">District</label>
                                    <select th:field="*{districtId}" class="form-control profile-input" id="district">
                                        <script th:inline="javascript" type="text/javascript">
                                            $(document).ready(function () {
                                                $('#country').change(
                                                    function () {
                                                        $.getJSON('/api/v1/district', {
                                                            countryId: $(this).val(),
                                                            ajax: 'true'
                                                        }, function (data) {
                                                            var html = '<option value="">District</option>';
                                                            var len = data.length;
                                                            for (var i = 0; i < len; i++) {
                                                                html += '<option value="' + data[i].id + '">'
                                                                    + data[i].name + '</option>';
                                                            }
                                                            html += '</option>';

                                                            $('#district').html(html);
                                                            $("#district").trigger('contentChanged');
                                                        });
                                                    });
                                                $("#country").trigger('change');

                                                var countryId = /*[[${userEditDTO.countryId}]]*/ 'default';
                                                var districtId = /*[[${userEditDTO.districtId}]]*/ 'default';
                                                var cityId = /*[[${userEditDTO.cityId}]]*/ 'default';

                                                if (cityId !== 'default') {
                                                    $.getJSON('/api/v1/district', {
                                                        countryId: countryId,
                                                        ajax: 'true'
                                                    }, function (data) {
                                                        var html = '<option value="">District</option>';
                                                        var len = data.length;
                                                        for (var i = 0; i < len; i++) {
                                                            html += '<option';
                                                            if (districtId == data[i].id) {
                                                                html += ' selected="true" '
                                                            }
                                                            html += 'value="' + data[i].id + '">' + data[i].name + '</option>';
                                                        }
                                                        html += '</option>';

                                                        $('#district').html(html);
                                                    });
                                                    $("#district").trigger('change');
                                                    $("#district").val(+districtId);


                                                    $.getJSON('/api/v1/city', {
                                                        districtId: districtId,
                                                        ajax: 'true'
                                                    }, function (data) {
                                                        var html = '<option value="">City</option>';
                                                        var len = data.length;
                                                        for (var i = 0; i < len; i++) {
                                                            html += '<option';
                                                            if (cityId == data[i].id) {
                                                                html += ' selected="true" '
                                                            }
                                                            html += 'value="' + data[i].id + '">' + data[i].name + '</option>';
                                                        }

                                                        html += '</option>';

                                                        $('#city').html(html);
                                                    });
                                                    $("#city").val(+cityId);
                                                    $("#city").trigger('change');

                                                }

                                            });
                                        </script>
                                    </select>
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-label-group col-md-6">
                                    <label for="city" class="font-weight-bolder">City</label>
                                    <select th:field="*{cityId}" class="form-control profile-input" id="city">
                                        <script th:inline="javascript" type="text/javascript">
                                            $(document).ready(function () {
                                                $('#district').change(
                                                    function () {
                                                        $.getJSON('/api/v1/city', {
                                                            districtId: $(this).val(),
                                                            ajax: 'true'
                                                        }, function (data) {
                                                            var html = '<option value="">City</option>';
                                                            var len = data.length;
                                                            for (var i = 0; i < len; i++) {
                                                                html += '<option value="' + data[i].id + '">'
                                                                    + data[i].name + '</option>';
                                                            }
                                                            html += '</option>';

                                                            $('#city').html(html);
                                                            $("#city").trigger('contentChanged');
                                                        });
                                                    });
                                                $("#district").trigger('change');

                                            });
                                        </script>
                                    </select>
                                </div>
                                <div class="form-label-group col-md-6">
                                    <label for="accident-dropdown" class="font-weight-bolder">Accidents history</label>
                                    <select th:field="*{hasAccident}" id="accident-dropdown"
                                            class="form-control profile-input">
                                        <option th:value="1">Yes</option>
                                        <option th:value="0">No</option>
                                    </select>
                                    <label class="error" th:errors="*{hasAccident}"></label>
                                </div>
                            </div>
                            <div class="row-authorities">
                                <div class="form-label-group col-md-12">
                                    <label for="authorities" class="font-weight-bolder">Authorities</label>
                                    <input type="checkbox" id="authorities"
                                           th:each="role :  ${T(com.telerikacademy.safetycar.models.enums.AuthorityType).values()}"
                                           th:text="${role.name() + ' '}"
                                           th:value="${role.name()}"
                                           th:field="*{authorities}"
                                    />
                                </div>
                            </div>
                            <button class="btn btn-lg btn-warning btn-block btn-login text-uppercase font-weight-bold mb-2"
                                    type="submit" value="save">Save
                            </button>

                        </form>
                    </div>
                </div>
                <div class="tab-pane fade" id="update-email" role="tabpanel"
                     aria-labelledby="update-email-tab">
                    <div class="col-md-12 col-lg-12 info">
                        <form th:action="@{/admin/user-update-email/__${id}__}" th:object="${userEmailDTO}"
                              method="post">
                            <div class="form-label-group">
                                <label for="inputUsername" class="font-weight-bolder">Username</label>
                                <input type="text" id="inputUsername" th:field="*{username}"
                                       class="form-control profile-input"
                                       placeholder="Username">
                            </div>
                            <button class="btn btn-lg btn-warning btn-block btn-login text-uppercase font-weight-bold mb-2"
                                    type="submit" value="save">Save
                            </button>
                        </form>
                    </div>
                </div>
                <div class="tab-pane fade" id="cars" role="tabpanel" aria-labelledby="cars-tab">
                    <div class="col-md-12 col-lg-12 info" th:object="${userCars}">
                        <div class="form-label-group">
                            <table th:unless="${userCars.isEmpty()}" class="table table-striped" style="width:100%">
                                <thead>
                                <tr>
                                    <th>Car brand</th>
                                    <th>Car model</th>
                                    <th>Cubic capacity</th>
                                    <th>Registration number</th>
                                    <th>Registration date</th>
                                </tr>
                                </thead>
                                <tbody>

                                <tr th:each="car : ${userCars}">
                                    <td><span th:text="${car.getModel().getBrand().getName()}"> Brand </span></td>
                                    <td><span th:text="${car.getModel().getName()}"> Model </span></td>
                                    <td><span th:text="${car.getCubicCapacity()}"> Cubic capacity </span></td>
                                    <td><span th:text="${car.getRegistrationNumber()}"> Registration number </span></td>
                                    <td><span th:text="${car.getRegistrationDate()}"> Registration date </span></td>
                                </tr>
                                </tbody>
                            </table>
                            <p th:if="${userCars.isEmpty()}">
                            <td colspan="2"> No Cars Available</td>
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.bundle.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-easing/1.4.1/jquery.easing.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/magnific-popup.js/1.1.0/jquery.magnific-popup.min.js"></script>
<script type="text/javascript" th:src="@{../static/js/scripts.js}" src="../static/js/scripts.js"></script>

<script>
    function deleteButton() {
        location.href = '/user/delete';
    }
</script>
</body>
</html>
